Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_DynamicImplementationServer Class Reference

`#include <CEC_DynamicImplementation.h>`

Collaboration diagram for TAO_CEC_DynamicImplementationServer:

[legend]
List of all members.

## Public Methods
| TAO_CEC_DynamicImplementationServer (PortableServer::POA_ptr poa, TAO_CEC_TypedProxyPushConsumer *typed_pp_consumer, TAO_CEC_TypedEventChannel *typed_event_channel)
virtual | ~TAO_CEC_DynamicImplementationServer (void)
virtual void | invoke (CORBA::ServerRequest_ptr request ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::RepositoryId | _primary_interface (const PortableServer::ObjectId &oid, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL) throw ()
virtual PortableServer::POA_ptr | _default_POA (ACE_ENV_SINGLE_ARG_DECL)
virtual void | is_a (CORBA::ServerRequest_ptr request ACE_ENV_ARG_DECL)
## Private Attributes
PortableServer::POA_var | poa_
TAO_CEC_TypedProxyPushConsumer * | typed_pp_consumer_
TAO_CEC_TypedEventChannel * | typed_event_channel_
CORBA::RepositoryId | repository_id_

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_DynamicImplementationServer::TAO_CEC_DynamicImplementationServer | ( | PortableServer::POA_ptr | poa,
|  | TAO_CEC_TypedProxyPushConsumer * | typed_pp_consumer,
|  | TAO_CEC_TypedEventChannel * | typed_event_channel
| ) |

TAO_CEC_DynamicImplementationServer::~TAO_CEC_DynamicImplementationServer | ( | void |  | ) | `[virtual]`

## Member Function Documentation

PortableServer::POA_ptr TAO_CEC_DynamicImplementationServer::_default_POA | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

CORBA::RepositoryId TAO_CEC_DynamicImplementationServer::_primary_interface | ( | const PortableServer::ObjectId & | oid,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) | throw ()`[virtual]`

void TAO_CEC_DynamicImplementationServer::invoke | ( | CORBA::ServerRequest_ptr request | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_CEC_DynamicImplementationServer::is_a | ( | CORBA::ServerRequest_ptr request | ACE_ENV_ARG_DECL | ) | `[virtual]`

## Member Data Documentation

PortableServer::POA_var TAO_CEC_DynamicImplementationServer::poa_`[private]`

CORBA::RepositoryId TAO_CEC_DynamicImplementationServer::repository_id_`[private]`

TAO_CEC_TypedEventChannel* TAO_CEC_DynamicImplementationServer::typed_event_channel_`[private]`

TAO_CEC_TypedProxyPushConsumer* TAO_CEC_DynamicImplementationServer::typed_pp_consumer_`[private]`

The documentation for this class was generated from the following files:

- CEC_DynamicImplementation.h
- CEC_DynamicImplementation.cpp
- CEC_DynamicImplementation.i